Product Hunt launch
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-producthunt-launches \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"launch": "ship-os-by-notion"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-producthunt-launches"
payload = { "launch": "ship-os-by-notion" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({launch: 'ship-os-by-notion'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-producthunt-launches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "producthunt_launches",
"launch": "ship-os-by-notion",
"launch_id": "ship-os-by-notion",
"human": "# Product Hunt — launch\n\n- **Id:** ship-os-by-notion\n- **Pages opened:** 1\n- **Proxy traffic:** 702.1 KB\n- **Tagline:** The agent-native way to ship software\n- **Votes:** 175\n- **Comments:** 8\n- **Launched:** 2026-07-10T00:01:00-07:00",
"machine": {
"launch": {
"id": "1192317",
"alias": "ship-os-by-notion",
"name": "Ship OS by Notion",
"tagline": "The agent-native way to ship software",
"url": "https://www.producthunt.com/posts/ship-os-by-notion",
"launch_state": "featured",
"votes_count": 175,
"launch_day_score": 153,
"comments_count": 8,
"daily_rank": 9,
"weekly_rank": 55,
"monthly_rank": 189,
"launch_number": 25,
"featured_at": "2026-07-10T00:01:00-07:00",
"scheduled_at": "2026-07-10T00:01:00-07:00",
"created_at": "2026-07-10T00:01:00-07:00",
"updated_at": "2026-10-08T22:51:03-07:00",
"image": "https://ph-files.imgix.net/4dec3dd1-9554-4b57-89b9-1fbea6f42d01.png?auto=format&fit=crop&w=256&h=256",
"link": "https://notion.com/ship-os",
"topics": [
{
"name": "Task Management",
"slug": "task-management",
"url": "https://www.producthunt.com/topics/task-management"
},
{
"name": "Artificial Intelligence",
"slug": "artificial-intelligence",
"url": "https://www.producthunt.com/topics/artificial-intelligence"
}
],
"product": {
"id": "106091",
"slug": "notion",
"name": "Notion",
"url": "https://www.producthunt.com/products/notion",
"tagline": "The all-in-one workspace",
"website_url": "https://www.notion.so",
"rating": 4.83,
"review_count": 1409,
"follower_count": 18746
}
},
"blocked": false,
"pages_opened": 1,
"proxy_traffic_bytes": 718909
},
"total_points": 5
}Startup & Funding Data
Product Hunt launch
Get one Product Hunt launch by slug or URL: tagline, votes, comments, daily / weekly / monthly rank, dates, topics, link and the product it belongs to. Flat 5 points per successful run.
POST
/
functions
/
v1
/
run-producthunt-launches
Product Hunt launch
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Launch slug or Product Hunt URL. e.g. ship-os-by-notion
Response
Run completed.